package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum PlanFilterTypeEnum {


    DIGGINGTHROUGHTHESHAPE(1,"有挖穿造型"),
    THEREAREPERFORATEDHOLES(2,"有挖穿孔"),
    TWODIMENSIONALCUTTINGPATH(4,"有二维刀路"),
    STACKABLE(8,"可叠");

    private Integer type;
    private String filterNames;

    public boolean equals(Integer type) {
        return this.type .equals(type) ;
    }

    public boolean equals(PlanFilterTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.type .equals(this.getType()) ;
    }

}
